'
' Copyright 3D Control Systems, Inc. All Rights Reserved 2017-2019. Built in San Francisco.
'
' This software is distributed under commercial non-GPL license for personal, educational,
' corporate or any other use. The software as a whole or any parts of that are prohibited
' for distribution and/or use without obtaining license from 3D Control Systems, Inc.
'
' If you do not have the license to use this software, please delete all software files
' immediately and contact sales to obtain the license: sales@3dprinteros.com.
' If you are unsure about the licensing please contact directly our sales: sales@3dprinteros.com.

set WSHShell = CreateObject("WScript.Shell")
set objFSO = CreateObject("Scripting.FileSystemObject")

sShortcut = WSHShell.ExpandEnvironmentStrings(WScript.Arguments.Item(0))
sTargetPath = WSHShell.ExpandEnvironmentStrings(WScript.Arguments.Item(1))
sIconLocation = WSHShell.ExpandEnvironmentStrings(WScript.Arguments.Item(2))
sWorkingDirectory = objFSO.GetAbsolutePathName(sShortcut)

set objSC = WSHShell.CreateShortcut(sShortcut)

objSC.TargetPath = sTargetPath
objSC.WorkingDirectory = sWorkingDirectory
objSC.IconLocation = sIconLocation

objSC.Save